用戶管理API
獲取用戶列表
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| page_size | Integer | Body | 是 | 每頁數量 |
| page_index | Integer | Body | 是 | 當前頁數 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | []Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| residence_id | String | Body | 住宅ID |
| family_name | String | Body | 家庭名稱 |
| residence_no | String | Body | 住宅號碼 |
| building_id | String | Body | 樓棟ID |
| building_name | String | Body | 樓棟名稱 |
| account_id | String | Body | 賬號ID |
| account_name | String | Body | 賬號名稱 |
| first_name | String | Body | 名 |
| last_name | String | Body | 姓 |
| String | Body | 郵箱 | |
| phone | String | Body | 電話 |
| auth | String | Body | 賬號權限 admin:擁有者,最高管理員 user:家庭管理員用戶 guest:家庭普通用戶 |
| region | String | Body | 區域 |
| payment_status | String | Body | 付費狀態 inactivated:未激活 normal:正常 expired:已過期 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_user_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1724721898925,
"result": [
{
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"auth": "admin",
"region": "Island",
"payment_status": "normal"
}
]
}
失敗返回示例
見 接口失敗返回
獲取用戶信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| family_name | String | Body | 家庭名稱 |
| residence_no | String | Body | 住宅號碼 |
| building_id | String | Body | 樓棟ID |
| building_name | String | Body | 樓棟名稱 |
| account_name | String | Body | 賬號名稱 |
| first_name | String | Body | 名 |
| last_name | String | Body | 姓 |
| String | Body | 郵箱 | |
| phone | String | Body | 電話 |
| auth | String | Body | 賬號權限 admin:擁有者,最高管理員 user:家庭管理員用戶 guest:家庭普通用戶 |
| region | String | Body | 區域 |
| payment_status | String | Body | 付費狀態 inactivated:未激活 normal:正常 expired:已過期 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1724721898925,
"result": {
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"auth": "admin",
"region": "Island",
"payment_status": "normal"
}
}
失敗返回示例
見 接口失敗返回
創建用戶信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| building_id | String | Body | 是 | 樓棟ID |
| first_name | String | Body | 是 | 名 |
| last_name | String | Body | 是 | 姓 |
| String | Body | 是 | 郵箱 | |
| auth | String | Body | 是 | 賬號權限 admin:擁有者,最高管理員 user:家庭管理員用戶 guest:家庭普通用戶 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| account_id | String | Body | 賬號ID |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"building_id": "br2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"first_name": "Fly",
"last_name": "Dom",
"email": "test@akubela.com",
"auth": "admin"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"account_id": "a1a621c1ae77040d697bd2134700f57ea"
}
}
失敗返回示例
見 接口失敗返回
批量創建用戶信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | []Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| building_id | String | Body | 是 | 樓棟ID |
| first_name | String | Body | 是 | 名 |
| last_name | String | Body | 是 | 姓 |
| String | Body | 是 | 郵箱 | |
| auth | String | Body | 是 | 賬號權限 admin:擁有者,最高管理員 user:家庭管理員用戶 guest:家庭普通用戶 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_create_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": [
{
"building_id": "br2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"first_name": "Fly",
"last_name": "Dom",
"email": "test@akubela.com",
"auth": "admin"
}
]
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
更新用戶信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| first_name | String | Body | 是 | 名 |
| last_name | String | Body | 是 | 姓 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"first_name": "Fly",
"last_name": "Dom"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
更新用戶密碼
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| new_password | String | Body | 是 | 新密碼 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_user_password",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"new_password": "new_1234567As"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
刪除用戶信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| account_id | String | Body | 是 | 賬號ID |
| residence_id | String | Body | 是 | 住宅ID |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"residence_id": "re1adc223cc4b3bedb6bd4742dedcfa52",
"account_id": "a1b5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
批量刪除用戶信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| accounts | []Object<account> | Body | 是 | 賬號信息 |
account說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| account_id | String | Body | 是 | 賬號ID |
| residence_id | String | Body | 是 | 住宅ID |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"accounts": [
{
"residence_id": "re1adc223cc4b3bedb6bd4742dedcfa52",
"account_id": "a1b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
導入用戶信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| file_name | String | Body | 是 | 文件名稱 |
| file_url | String | Body | 是 | 文件地址 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| task_id | String | Body | 任務ID |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "import_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"file_name": "test",
"file_url": "https://test.akubela.com/test-user"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"task_id": "tpr31adc223cc4b3bedb6bd4742dedcfa"
}
}
失敗返回示例
見 接口失敗返回
獲取用戶權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| faces | []Object<face> | Body | 人臉信息 |
| pin_codes | []Object<pin_code> | Body | PIN碼信息 |
| rf_cards | []Object<rf_card> | Body | 射頻卡信息 |
| access_groups | []Object<access_group> | Body | 權限組信息 |
| floor_accesses | []Object<floor_access> | Body | 樓層權限信息 |
floor_access說明
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| building_id | String | Body | 樓棟ID |
| floor | String | Body | 樓層 |
face說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| face_id | String | Body | 人臉ID |
| created_time | String | Body | 創建時間,UTC |
| creator | String | Body | 創建人 |
pin_code說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| pin_code_id | String | Body | PIN碼ID |
| number | String | Body | 號碼 |
| created_time | String | Body | 創建時間,UTC |
| creator | String | Body | 創建人 |
rf_card說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| rf_card_id | String | Body | 射頻卡ID |
| number | String | Body | 號碼 |
| created_time | String | Body | 創建時間,UTC |
| creator | String | Body | 創建人 |
access_group說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| access_group_id | String | Body | 權限組ID |
| access_group_name | String | Body | 權限組名稱 |
| access_group_type | String | Body | 權限組類型 system:系統 customized:定製 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_user_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": {
"floor_accesses": [
{
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"floor": "all"
}
],
"faces": [
{
"face_id": "fbr2c4b070cc928496198944858b344fc",
"created_time": "2024-07-17 09:00:46",
"creator": "pm"
}
],
"pin_codes": [
{
"pin_code_id": "pbr2c4b070cc928496198944858b344fc",
"number": "123456",
"created_time": "2024-07-17 19:00:46",
"creator": "pm"
}
],
"rf_cards": [
{
"rf_card_id": "rbr2c4b070cc928496198944858b344fc",
"number": "123456",
"created_time": "2024-07-17 14:00:46",
"creator": "pm"
}
],
"access_groups": [
{
"access_group_name": "test",
"access_group_id": "arbr2c4b070cc928496198944858b344f",
"access_group_type": "system"
}
]
}
}
失敗返回示例
見 接口失敗返回
更新用戶樓層權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| floor_accesses | []Object<floor_access> | Body | 是 | 樓層權限信息 |
floor_access說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| building_id | String | Body | 是 | 樓棟ID |
| floor | String | Body | 是 | 樓層 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_user_floor_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"floor_accesses": [
{
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"floor": "all"
}
]
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
創建用戶PIN碼權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| number | String | Body | 是 | 號碼 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| pin_code_id | String | Body | PIN碼ID |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_user_pin_code_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"number": "1234567"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"pin_code_id": "p1a621c1ae77040d697bd2134700f57ea"
}
}
失敗返回示例
見 接口失敗返回
刪除用戶PIN碼權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| pin_code_id | String | Body | 是 | PIN碼ID |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_user_pin_code_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"pin_code_id": "pdb5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
創建用戶射頻卡權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| number | String | Body | 是 | 號碼 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| rf_card_id | String | Body | 射頻卡ID |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_user_rf_card_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"number": "1234567"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"rf_card_id": "r1a621c1ae77040d697bd2134700f57ea"
}
}
失敗返回示例
見 接口失敗返回
刪除用戶射頻卡權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| rf_card_id | String | Body | 是 | 射頻卡ID |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_user_rf_card_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"rf_card_id": "rdb5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
創建用戶人臉權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| face_picture_url | String | Body | 是 | 人臉圖片地址 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_user_face_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"face_picture_url": "https://akcs.akubela.com/test"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
刪除用戶人臉權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| residence_id | String | Body | 是 | 住宅ID |
| account_id | String | Body | 是 | 賬號ID |
| face_id | String | Body | 是 | 人臉ID |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object | Body | 返回結果 |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_user_face_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"face_id": "fdb5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失敗返回示例
見 接口失敗返回
導入用戶PIN碼與射頻卡權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| file_name | String | Body | 是 | 文件名稱 |
| file_url | String | Body | 是 | 文件地址 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| task_id | String | Body | 任務ID |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "import_user_pin_code_and_rf_card_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"file_name": "test",
"file_url": "https://test.akubela.com/test-pin-card"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"task_id": "tpr31adc223cc4b3bedb6bd4742dedcfa"
}
}
失敗返回示例
見 接口失敗返回
導入用戶人臉權限信息
接口地址
POST /api/v1.0/invoke/open-ability/method/manager-commands
請求參數
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 內容類型,值爲application/json |
| Accept | String | Header | 是 | 接受類型,值爲application/json |
| Authorization | String | Header | 是 | Bearer認證,訪問令牌 |
| command | String | Body | 是 | 命令名稱 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令參數 |
param說明
| 參數名 | 類型 | 位置 | 必填 | 說明 |
|---|---|---|---|---|
| project_id | String | Body | 是 | 項目ID |
| file_name | String | Body | 是 | 文件名稱 |
| file_url | String | Body | 是 | 文件地址 |
返回參數
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| Content-Type | String | Header | 內容類型,值爲application/json |
| success | Boolean | Body | 判斷請求是否成功 true:成功 false:失敗 |
| timestamp | Integer | Body | 時間戳 |
| result | Object<result> | Body | 返回結果 |
result說明
| 參數名 | 類型 | 位置 | 說明 |
|---|---|---|---|
| task_id | String | Body | 任務ID |
請求示例
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "import_user_face_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"file_name": "test",
"file_url": "https://test.akubela.com/test-face"
}
}
成功返回示例
狀態碼:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"task_id": "tpr31adc223cc4b3bedb6bd4742dedcfa"
}
}
失敗返回示例
見 接口失敗返回